org.eclipse.emf.facet.util.emf.core.serialization

## Interface ISerializer<T>

    public interface ISerializer<T>

The interface that must be implemented when adding an extension to the "serializer" extension point.

See Also:
  `ISerializationRegistry`

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `deserialize(java.lang.String serializedValue)` Deserialize the given String back into the original value that was serialized with `serialize(Object)`
`java.lang.Class<T>` `getType()`
`java.lang.String` `serialize(T value)` Serialize the given value into a String

### Method Detail

#### getType

    java.lang.Class<T> getType()

Returns:
  the type handled by this serializer.

#### serialize

    java.lang.String serialize(T value)

Serialize the given value into a String

#### deserialize

    T deserialize(java.lang.String serializedValue)

Deserialize the given String back into the original value that was serialized with `serialize(Object)`